/// <reference types="react" />
import type { QueryStorageOptions } from './compass-query-storage';
import type { PipelineStorage } from './pipeline-storage';
import type { FavoriteQueryStorage, RecentQueryStorage } from './query-storage';
export type { PipelineStorage, FavoriteQueryStorage, RecentQueryStorage };
export type FavoriteQueryStorageAccess = {
    getStorage(options?: QueryStorageOptions): FavoriteQueryStorage;
};
export type RecentQueryStorageAccess = {
    getStorage(options?: QueryStorageOptions): RecentQueryStorage;
};
export declare const PipelineStorageProvider: import("react").Provider<PipelineStorage | undefined>;
export declare const FavoriteQueryStorageProvider: import("react").Provider<FavoriteQueryStorageAccess | undefined>;
export declare const RecentQueryStorageProvider: import("react").Provider<RecentQueryStorageAccess | undefined>;
export declare const usePipelineStorage: () => PipelineStorage | undefined;
export declare const pipelineStorageLocator: () => PipelineStorage | undefined;
export declare const useFavoriteQueryStorageAccess: () => FavoriteQueryStorageAccess | undefined;
export declare const favoriteQueryStorageAccessLocator: () => FavoriteQueryStorageAccess | undefined;
export declare const useRecentQueryStorageAccess: () => RecentQueryStorageAccess | undefined;
export declare const recentQueryStorageAccessLocator: () => RecentQueryStorageAccess | undefined;
//# sourceMappingURL=provider.d.ts.map